@media (min-width: 576px){
    .border-sm{
        border: 1px solid #dee2e6!important;
    }
    .border-sm-left{
        border-left: 1px solid #dee2e6!important;
    }
    .border-sm-right{
        border-right: 1px solid #dee2e6!important;
    }
    .border-sm-top{
        border-top: 1px solid #dee2e6!important;
    }
    .border-sm-bottom{
        border-bottom: 1px solid #dee2e6!important;
    }
    .border-sm-none{
        border: none!important;
    }
    .border-sm-left-none{
        border-left: none!important;
    }
    .border-sm-right-none{
        border-right: none!important;
    }
    .border-sm-top-none{
        border-top: none!important;
    }
    .border-sm-bottom-none{
        border-bottom: none!important;
    }
}
@media (min-width: 768px){

}

.xsmall{
    font-size: 65%;
}

.content-wrapper {
    height: auto;
}

/*Components*/
.input_group{
    margin-top: 0.4rem;
}
.input_group .input_placeholder{
    padding:6px;
    top: 0px;
    left: 0px;
    z-index: 0;
    -webkit-transition: all 0.1s ease;
    -moz-transition: all 0.1s ease;
    -o-transition: all 0.1s ease;
    transition: all 0.1s ease;
}
.input_group .input{
    border-radius: 0px;
    background-color: transparent;
    border: none;
    padding-bottom: 3px;
    padding-top: 5px;
    z-index: 1;
    position: relative;
}
.input_group .input.date{
    padding-right: 25px;
}
.input_group .i_date{
    position: absolute;
    right: 10px;
    height: 100%;
    display: flex;
    align-items: center;
    z-index: 0;
}
.input_group .background{
    background-color: #ffffff70;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
}
.input_group .input_container_animate{
    background-color: #bdbdbd;
}
.input_group .input_animate{
    height: 2px;
    margin-left: 1px;
    margin-right: 1px;
    width: 0px;
}
.input_group .input_spinner{
    display: none;
}
.input_group.focus .input_animate{
    width: 100%;
    background-color: #343434;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
.input_group.filled .input_placeholder, .input_group.focus .input_placeholder{
    top: -18px;
    left: -3px;
}


.item_details{
    background-color: #e5e5e570;
    border-bottom: 1px solid #bdbdbd;
}
.col_bt_details{
    margin-top: 0.4rem;
    display: flex;
    align-items: end;
    margin-bottom: 1rem;
    padding-left: 0px;
}

/*Switch Checkbox*/
.form-check > .check-switch {
    height: 1em;
    vertical-align: top;
    background-color: #fff;
    background-repeat: no-repeat;
    background-size: contain;
    border: 1px solid rgba(0, 0, 0, .25);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    -webkit-print-color-adjust: exact;
    color-adjust: exact;
    width: 2em;
    min-width: 2em;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9Jy00IC00IDggOCc+PGNpcmNsZSByPSczJyBmaWxsPSdyZ2JhKDAsMCwwLDAuMjUpJy8+PC9zdmc+");
    background-position: 0;
    border-radius: 2em;
    transition: background-position .15s ease-in-out
  }
  .form-check > .check-switch:active {
    filter: brightness(90%)
  }
  .form-check > .check-switch:focus {
    border-color: #9dbeee;
    outline: 0;
    box-shadow: 0 0 0 .2rem rgba(59, 125, 221, .25)
  }
  .form-check > .check-switch:checked {
    background-color: var(--primary);
    border-color: var(--primary);
  }
  .form-check > .check-switch:checked[type=radio] {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9Jy00IC00IDggOCc+PGNpcmNsZSByPScyJyBmaWxsPScjZmZmJy8+PC9zdmc+")
  }
  .form-check > .check-switch[type=checkbox]:indeterminate {
    background-color: var(--primary);
    border-color: var(--primary);
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9JzAgMCAyMCAyMCc+PHBhdGggZmlsbD0nbm9uZScgc3Ryb2tlPScjZmZmJyBzdHJva2UtbGluZWNhcD0ncm91bmQnIHN0cm9rZS1saW5lam9pbj0ncm91bmQnIHN0cm9rZS13aWR0aD0nMycgZD0nTTYgMTBoOCcvPjwvc3ZnPg==")
  }
  .form-check > .check-switch:disabled {
    pointer-events: none;
    filter: none;
    opacity: .5
  }
  .form-check > .check-switch:disabled ~ .form-check-label, .form-check > .check-switch[disabled] ~ .form-check-label {
    opacity: .5
  }
  .form-check > .check-switch.red-checked:focus {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9Jy00IC00IDggOCc+PGNpcmNsZSByPSczJyBmaWxsPSdyZ2JhKDIyMSw1OSw1OSwwLjI1KScvPjwvc3ZnPg==");
  }
  .form-check > .check-switch.red:not(:checked),.form-check > .check-switch.red-checked:checked {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9Jy00IC00IDggOCc+PGNpcmNsZSByPSczJyBmaWxsPScjZmZmJy8+PC9zdmc+");
    background-color: var(--danger);
    border-color: var(--danger);
  }
  .form-check > .check-switch.red:focus:not(:checked) {
    border-color: #ee9da4;
    outline: 0;
    box-shadow: 0 0 0 .2rem rgba(221, 59, 59, 0.25)
  }
  .form-check > .check-switch.red-checked:focus {
    border-color: #ee9da4;
    outline: 0;
    box-shadow: 0 0 0 .2rem rgba(221, 59, 59, 0.25)
  }

  .form-check > .check-switch:focus {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9Jy00IC00IDggOCc+PGNpcmNsZSByPSczJyBmaWxsPScjOWRiZWVlJy8+PC9zdmc+")
  }
  .form-check > .check-switch:checked {
    background-position: 100%;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9Jy00IC00IDggOCc+PGNpcmNsZSByPSczJyBmaWxsPScjZmZmJy8+PC9zdmc+")
  }


/*RoundMenuButton*/
.roundMenuButton .item{
    display: flex;
    flex-direction: row-reverse;
    flex-wrap: nowrap;
    white-space: nowrap;
    align-items: center;
}

.percentage_card
{
    text-shadow: 0px 0px 3px rgb(0 0 0);
    color: #ffffff !important;
}

.form-overlay{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1100;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #00000077;
}
